AbstractEventModelSequenceTrainer (Apache OpenNLP :: Core :: ML :: Commons 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml, class: AbstractEventModelSequenceTrainer

Package opennlp.tools.ml

# Class AbstractEventModelSequenceTrainer<P extends opennlp.tools.util.Parameters>

java.lang.Object
opennlp.tools.ml.AbstractTrainer<P>
opennlp.tools.ml.AbstractEventModelSequenceTrainer<P>

All Implemented Interfaces:
  `opennlp.tools.commons.Trainer<P>`, `opennlp.tools.ml.EventModelSequenceTrainer<opennlp.tools.ml.model.Event,P>`

public abstract class AbstractEventModelSequenceTrainer<P extends opennlp.tools.util.Parameters> extends AbstractTrainer<P> implements opennlp.tools.ml.EventModelSequenceTrainer<opennlp.tools.ml.model.Event,P>
A basic `EventModelSequenceTrainer` implementation that processes `events`.

- ## Field Summary

  ### Fields inherited from interface opennlp.tools.ml.EventModelSequenceTrainer

  `SEQUENCE_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractEventModelSequenceTrainer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract opennlp.tools.ml.model.MaxentModel`
  `doTrain(opennlp.tools.ml.model.SequenceStream<opennlp.tools.ml.model.Event> events)`
  `final opennlp.tools.ml.model.MaxentModel`
  `train(opennlp.tools.ml.model.SequenceStream<opennlp.tools.ml.model.Event> events)`

  ### Methods inherited from class opennlp.tools.ml.AbstractTrainer

  `getAlgorithm, getCutoff, getIterations, getTrainingConfiguration, init, init, validate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.commons.Trainer

  `init, init`

- ## Constructor Details

  - ### AbstractEventModelSequenceTrainer

    public AbstractEventModelSequenceTrainer()

- ## Method Details

  - ### doTrain

    public abstract opennlp.tools.ml.model.MaxentModel doTrain(opennlp.tools.ml.model.SequenceStream<opennlp.tools.ml.model.Event> events) throws IOException
    Throws:
      `IOException`

  - ### train

    public final opennlp.tools.ml.model.MaxentModel train(opennlp.tools.ml.model.SequenceStream<opennlp.tools.ml.model.Event> events) throws IOException
    Specified by:
      `train` in interface `opennlp.tools.ml.EventModelSequenceTrainer<opennlp.tools.ml.model.Event,P extends opennlp.tools.util.Parameters>`
    Throws:
      `IOException`